/*
 * Copyright (c) 1987, Motorola Microcomputer Division.  All rights reserved.
 *
 * TCP options -	passed from the TLI user interface
 */
#ident "@(#)tcp_opts.h	35.1"

/*
 * TCP option structure
 *   BSDopts must be the first short word entry.
 */
struct tcpopt {
	unsigned short BSDopts;		/* 4.2 style socket option flags*/
	unsigned short port;		/* foreign port			*/
	unsigned long host;		/* foreign host			*/
	unsigned short usrtime;		/* # ticks before user timeout	*/
	unsigned short rtxmin;		/* lower bound for RTX		*/
	unsigned short rtxmax;		/* upper bound for RTX		*/
	unsigned char  usract;		/* timeout action to take	*/
	unsigned char  rtxerr;		/* maximum # of retransmits	*/
};
