/*
 * Copyright (c) 1987, Motorola Microcomputer Division.  All rights reserved.
 *
 * Definitions pertaining to the User Datagramme Protocol
 */
#ident "@(#)udp.h	35.2"

/*
 * UDP header format
 */
typedef struct {
/*  0 */	WORD	sport;		/* source port			*/
/*  2 */	WORD	dport;		/* destination port		*/
/*  4 */	WORD	len;		/* total length			*/
/*  6 */	WORD	chksum;		/* checksum (pseudo+hdr+data)	*/
} UDPHDR;

/*
 * UDP options
 *    BSDoptions must be forst short word in options structure
 */
struct udpopt {
	ushort	BSDoptions;		/* mandatory options flags	*/
};

/*
 * UDP I/O control requests
 */
#define	IOC_UDP(x)	((((('u' << 8) | 'd') << 8) | 'p') | (x))

#define	IOCUDPSTATS	IOC_UDP(0)	/* dump stats buffer		*/
