#ident "@(#)du.c	35.4"
/*
** Stub routines for RFS system calls and
** internal routines/symbols.
** For syscalls, force error return and 
** indicate absence of package as reason.
*/

#include <sys/types.h>
#include <sys/param.h>
#include <sys/fs/s5dir.h>
#include <sys/signal.h>
#include <sys/user.h>
#include <sys/errno.h>

/*
 *	Data definitions
 */

int	idleserver;
int	msglistcnt;
int	nservers;
int	srmount;

/*
 *	System calls
 */

advfs()
{
	u.u_error = ENOPKG;
	return (0);
}

unadvfs()
{
	u.u_error = ENOPKG;
	return (0);
}

rdebug()
{
	u.u_error = ENOPKG;
	return (0);
}

rmount()
{
	u.u_error = ENOPKG;
	return (0);
}

rumount()
{
	u.u_error = ENOPKG;
	return (0);
}

rfstart()
{
	u.u_error = ENOPKG;
	return (0);
}

rfstop()
{
	u.u_error = ENOPKG;
	return (0);
}

rfsys()
{
	u.u_error = ENOPKG;
	return (0);
}

/*
 *	Internal routines
 */

rfubyte() { return(0); }
rfuword() { return(0); }
rsubyte() { return(0); }
rsuword() { return(0); }
rcopyin() { return(0); }
rcopyout() { return(0); }
duustat() { return(0); }
dulocking() { return(0); }
rnamei1() { return(0); }
rnamei2() { return(0); }
rnamei3() { return(0); }
rnamei4() { return(0); }
riget() { return(0); }
remote_call() { return(0); }
remio() { return(0); }
rem_date() { return(0); }
unremio() { return(0); }
