

/*****************************************************************************

	Rev = 1.1		Date of 'get'   = 09:15:43 1/6/89
				Date of 'delta' = 09:15:01 1/6/89

	File = f250buf.h

*****************************************************************************/


/**********************************************************************
 *								      *
 *		Copyright (c) Ferranti plc 1988			      *
 *								      *
 *	This is unpublished proprietory source code of Ferranti plc.  *
 *		The copyright of which vests in Ferranti plc.	      *
 **********************************************************************/


/**********************************************************************
 *								      *
 *	The following data is sent when initialising a FVME250        *
 *	controller .     					      *
 *								      *
 **********************************************************************/

struct dev_init {
	char me250_id;		/* ME250 controller id */
	char vector;		/* interrupt vector */
	char level;		/* VME interrupt level */
	char config;            /* Configuration code */
	short scsi_cntl;	/* No. of controllers on SCSI bus */
	struct cntrl_info {
		char cntl_no ;		/* Controller number */
		char dev_no;		/* Number of devices on controller */
	   struct dev_info{
		short status;		/* Was device initialised */
		char dev_lun;		/* Device logical unit number */
		char dev_type;		/* Device type */
	   } device[2];		/* Upto 2 devices per controller */
	} controller[7];	/* Upto 7 controllers per SCSI bus */
};

#define DEVNOTINIT	-1 	/* Device not initialised */
#define DEVINIT		0	/* Device initialised */


