

/*****************************************************************************

	Rev = 1.1		Date of 'get'   = 09:15:44 1/6/89
				Date of 'delta' = 09:15:05 1/6/89

	File = f250str.h

*****************************************************************************/


/**********************************************************************
 *								      *
 *		Copyright (c) Ferranti plc 1988			      *
 *								      *
 *	This is unpublished proprietory source code of Ferranti plc.  *
 *		The copyright of which vests in Ferranti plc.	      *
 **********************************************************************/


/**********************************************************************
 *								      *
 *	This file contains message strings for the error codes in     *
 *	fvme250error.h 						      *
 *								      *
 **********************************************************************/



#define NOTAVSTR	"Drive not available, off-line\n"
#define SEEKSTR		"Disk seek error\n"
#define WRFLTSTR	"Write fault\n"
#define RDFLTSTR	"Read fault\n"
#define CRCSTR		"Cyclic redundancy check error\n"
#define IDERRSTR	"Identifier error\n"
#define TIMEOTSTR	"Disk transfer timeout\n"
#define NOTPESTR	"No tape in drive\n"
#define EOTSTR		"Hit end of tape\n"
#define DATAERSTR	"Unrecoverable data error\n"
#define FILEMKSTR	"Hit a file mark\n"
#define ILLCMDSTR	"Illegal ME250 command\n"
#define ILLCNTSTR	"Illegal controller command\n"
#define BLNKTPSTR	"No data found on tape\n"
#define BOTSTR		"At the beginning of tape\n"
#define INVPARSTR	"Invalid drive parameters\n"
#define DMASTR		"DMA error\n"
#define SCSIERSTR	"SCSI bus error\n"
#define PWRRSTSTR	"Power on reset occurred on tape drive\n"
#define BDSCSISTR	"Bad SCSI controller/LUN number\n"
#define HEDERRSTR	"Failed to read/write tape header\n"
#define BDEVSTR		"Bad device type\n"
#define ILLCONFSTR	"Invalid configuration parameters\n"
#define SOFTSTR		"Software error\n"
#define BUSYSTR		"Device busy\n"
#define DEVERSTR	"Device hardware error\n"
#define ILLENSTR	"Incorrect block size\n"
