

/*****************************************************************************

	Rev = 1.1		Date of 'get'   = 09:15:45 1/6/89
				Date of 'delta' = 09:15:05 1/6/89

	File = f250value.h

*****************************************************************************/


/**********************************************************************
 *								      *
 *		Copyright (c) Ferranti plc 1988			      *
 *								      *
 *	This is unpublished proprietory source code of Ferranti plc.  *
 *		The copyright of which vests in Ferranti plc.	      *
 **********************************************************************/


/**********************************************************************
 *								      *
 *	This file contains various definitions for use by fvme250.c   *
 *								      *
 **********************************************************************/


#define MAXFIOP		4		/* Maximum number of FVME250 controllers
					   handled by program */
#define PROBEST_132	0x00000000	/* Start address of VME probe */
#define PROBEEND_132	0x00ffffff	/* End of VME address space */

#define PROBEST_252	0xf0000000	/* Start address of VME probe */
#define PROBEEND_252	0xf0ffffff	/* End of VME address space */

#define PROBEST_141	0xf0000000	/* Start address of VME probe */
#define PROBEEND_141	0xf0ffffff	/* End of VME address space */

#define PROBEINC	0x100000	/* Increment probe every 2 Mbytes */


#define SELFTIMEOUT	0x100000	/* Timeout value for selftests */
#define BUSYTIMEOUT	0x200000	/* Time for FVME250 busy to be reset */
#define QUEUE_TIMEOUT	0x400000	/* Time for FVME250 to ack. request */
#define EXEC_TIMEOUT	0x300000	/* Time to execute request */
#define WAIT_TIMEOUT    3600		/* 60 second timeout */

#define ME250INT	0x40		/* Vector number */	




/***************************************************************************/

 /* Ferranti 68030 VME CPU card definitions */

#define LOCALMEMREG	0xfff10000	/* Local memory location register */
#define LOCMON		0x400		/* Location monitor */
#define GENCTRL		0xfff00000	/* General control register */

#define MEM0		0	/* Set local memory to be at 0-4Mbytes */

#define ENAEXINT	0x02	/* Enable external virtual interrupt on cpu */ 

/***************************************************************************/
