
/*	@(#)esdi.h	35.1		*/
/*
 *	Copyright (c) 1987 Motorola Inc.  
 *	All Rights Reserved.
 */

/* CDC WREN 3 Drive  Model 94166 - 182
   Unformatted capacity	= 182.1 MB
   formatted capacity = 160.7 MB
   969 cylinders
   9 tracks per cylinder
   36 sectors per track
   cyl 0 and cyl 1 are configuration and diagnostic cylinders. 
   144 alternate tracks are reserved on cylinders 952 through 967 inclusive.
   cyl 968 contains manufacturers defect list which will be preserved. 
*/

/*  Partitioning information for CDC 182MB disk.

Slice #  Start cyl.  End cylinder  #512b blocks to next slice
  0	    2	        951		25272
  1	    80		951		25920
  2	   160		951		51840
  3	   320		951		51840
  4	   480		951		51840
  5	   640		951		51840
  6	   800		951		49248
  7	    0		967            313632 (entire disk except last cylinder)	
  8	null
  9	null
  a	null
  b	null
  c	null
  d	null
  e	null
  f	null

*/
#define CDC182 \
	((952-2)*9*36), 2*9*36,\
	((952-80)*9*36), 80*9*36,\
	((952-160)*9*36), 160*9*36,\
	((952-320)*9*36), 320*9*36,\
	((952-480)*9*36), 480*9*36,\
	((952-640)*9*36), 640*9*36,\
	((952-800)*9*36), 800*9*36,\
	(968*9*36), 0,\
	0, 0,\
	0, 0,\
	0, 0,\
	0, 0,\
	0, 0,\
	0, 0,\
	0, 0,\
	0, 0,

/*
 *	The following is a set of empty partitions
 *	referenced in place of real partitioning wherever a volume
 *	could exist but does not in the current configuration.
 */
#define NULLESDI\
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,\
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,

