/*		@(#)m320io.h	35.1		*/
/*		Copyright (c) 1985,1987 Motorola Inc.	*/
/*		All Rights Reserved		*/


/*
  Slicing tables for mvme320 controller
*/

/* Supported on VME/10, VME120, and VME131 and VME136 systems */
/*#if defined( VME10) || defined( VME120) || defined( VME131) */

/*
 *      The slicing for the mvme320 disk controller
 *	is as follows:
 *
 *		Minor Number[0:2] defines one of 8 slices and
 *		Minor Number[3:4] defines the following devices:
 *
 *			0: hard device 0 (winchester)
 *			1: hard device 1 (winchester)
 *			2: floppy device 2
 *			3: floppy device 3
 *
 *		Minor Number[5] defines one of 2 controllers.
 *		Minor Number[6:7] is not used.
 */
#include "sys/io/win.h"
#include "sys/io/sa400.h"

#ifndef VME320CT
#ifndef	VME320_1
#define	VME320_1	0
#endif
#define VME320CT  ((VME320_0 + VME320_1) / 32)
#endif

#ifndef	M320DK2
#define M320DK2 DFLOPPY
#endif
#ifndef	M320DK3
#define M320DK3 DFLOPPY
#endif
#ifndef	M320DK6
#define M320DK6 DFLOPPY
#endif
#ifndef	M320DK7
#define M320DK7 DFLOPPY
#endif
 

struct	size m320_sizes[][8] =
{
        M320DK0
	M320DK1
	M320DK2
	M320DK3
#if VME320CT > 1
        M320DK4
        M320DK5
        M320DK6
        M320DK7
#endif
};


/* #endif */
