/*		Copyright (c) 1985 AT&T		*/
/*		All Rights Reserved		*/

/*	@(#)sa400.h	35.1	*/
/*
 * Paritioning for floppy disks supported by sa400 standard compatible
 * controllers.
 */

/* WFLOPPY is defined for backward compatibility with the VME/10 */
/* defines partition 0 for double sided double density */
#define WFLOPPY\
	1264,	12,\
	0,0,0,0,0,0,0,0,0,0,0,0,1276,0,

/*
 *	sa400 standard compatible floppy
 */

#define	SA400FL\
	 632,	1,	/* double sided, single density */	\
	 316,	1,	/* single sided, single density */	\
	1264,	1,	/* double sided, double density */	\
	 632,	1,	/* single sided, double density */	\
	   0,	0,	/* unused */				\
	   0,	0,	/* unused */				\
	   0,	0,	/* unused */				\
	1276,	0,	/* old style double sided, double density */



/*
 *	DFLOPPY is defined for dual speed 5.25" floppy disks.
 *		Slices 0 and 7 are compatible with WFLOPPY slices
 *		Slices 1 and 6 have double density track 0
 *		Slices 2 and 5 are compatible with VERSAdos high speed
 *			floppies (like 8" floppies)
 *		Slices 3 and 4 are compatible with IBM PC/AT high
 *			speed double density drives
 */

#define	DFLOPPY								\
	1264,	12,	/* Normal 5.25" - logical slice 0 */		\
	1264,	16,	/* Double density track 0 - logical slice 0 */	\
	2053,	20,	/* VERSAdos high speed - logical slice 0 */	\
	2370,	30,	/* IBM PC/AT high speed - logical slice 0 */	\
	2400,	0,	/* IBM PC/AT high speed - logical slice 7 */	\
	2073,	0,	/* VERSAdos high speed - logical slice 7 */	\
	1280,	0,	/* Double density track 0 - logical slice 7 */	\
	1276,	0,	/* Normal 5.25" - logical slice 7 */
