/*@(#)macros.h	35.1*/
/*MH************************ MODULE HEADER ****************************
**
**  MODULE NAME:	macros.h
**
**  DESCRIPTION:	This file will define all common macros.
**
**  CONTENTS:
**
**  SYSTEM GLOBALS:
**
**  MODULE GLOBALS:
**
**  NOTES:
**
**********************************************************************/

ULONG	log_mask;

#define LOW	0x1
#define MED	0x2
#define	HIGH	0x3

#define	LOG_LOW		if(((ULONG)(LOW << SHIFT) & log_mask) == (ULONG)(LOW << SHIFT)) printf
#define LOG_MED		if(((ULONG)(MED << SHIFT) & log_mask) == (ULONG)(MED << SHIFT)) printf
#define LOG_HIGH	if(((ULONG)(HIGH << SHIFT) & log_mask) == (ULONG)(HIGH << SHIFT)) printf

#define	LOG	LOG_HIGH	/* Interim macro while layer source code   */
				/* upgrades to specific Macros above	   */


#ifdef	DEBUG

#define	TRACE()		printf("%s: %d\n",__FILE__,__LINE__)
#define DUMP		XXdump

#else

#define	TRACE()		/* null macro */
#define DUMP()		/* null macro */

#endif

#define	FATAL()		o_fatal(ident, __LINE__)

#ifdef SIM

#define PROBE(val)	/* null macro */

#else

#define	PROBE(val)	/*	*((UBYTE*)0xffe58000) = val; */

#endif
