/*	Copyright (c) 1987 Motorola Computer Division		*/
/*	  All Rights Reserved  					*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF MOTOROLA	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#ident	"@(#)time.h	35.1"

/*
 * $Header: time.h  88/01/26 15:49:18 dtk Exp $
 * $Locker:  $
 *
 * BSD style timeval definition
 */

struct timeval {
	unsigned long tv_sec;		/* time since  Jan 1 1970	*/
	long tv_usec;			/* and microseconds		*/
};

struct timezone {
	int	tz_minuteswest;	/* minutes west of Greenwich */
	int	tz_dsttime;	/* type of dst correction */
};
#define	DST_NONE	0	/* not on dst */
#define	DST_USA		1	/* USA style dst */
#define	DST_AUST	2	/* Australian style dst */
#define	DST_WET		3	/* Western European dst */
#define	DST_MET		4	/* Middle European dst */
#define	DST_EET		5	/* Eastern European dst */
#define	DST_CAN		6	/* Canada */

