/*	Copyright (c) 1988 MOTOROLA */
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF MOTOROLA	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#ident	"@(#)tpiaddr.h	35.1"

/*
 * TPImux's idea of a protocol address.
 * We include the internet address form for convenience of internet protocol
 * code.
 */
union tpi_addr {
	struct {			/* internet address form	*/
		ushort family;		/* Berkely address format	*/
		ushort port;		/* port				*/
		unsigned long host;	/* host addr			*/
	} inet;
	struct {		        /* AF_UNIX address form		*/
		ushort family;	        /* AF_UNIX			*/
		unsigned char name[6];	/* name				*/
	} un;
	unsigned char addr[8];		/* 64 bits of address		*/
};
