 #
 #                  Copyright (c) 1988 Ferranti Plc.
 #                      All Rights Reserved
 #
 #
 # THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF FERRANTI PLC THE COPYRIGHT 
 #                   OF WHICH VESTS IN FERRANTI PLC.
 #
 #   The copyright notice above does not evidence any actual or intended 
 #                   publication of such source code.
 #
 # This source code and the information contained herein is supplied without
 # liability for errors or ommissions and no part may be copied, re-produced, 
 # used or disclosed except as authorised by the Ferranti organisation by 
 #                contract or by other written permission.
 #

 #*****************************************************************************
 #
 #	Rev = 5.1		Date of 'get'   = 14:50:56 2/14/89
 #				Date of 'delta' = 14:56:38 12/8/88
 #
 #	File = tasmem.as
 #
 #*****************************************************************************


 # WARNING: To keep /lib/cpp happy no comment must have a # in column 1.
 #          Any 'comment' starting with a # in that position will be treated
 #          as a directive to /lib/cpp ! You have been warned.
 #
 # The define TASFRIG should be set if the code is to be used with a PMMU that
 # has the RMW fault - the ATC must be pre-loaded
 

	file "tasmem.as"
#ifdef	TASFRIG
	ident "@(#)scc-driver:driver/tasmem.as Rev 5.1 14:56:38 12/8/88 (TASFRIG)"
#else
	ident "@(#)scc-driver:driver/tasmem.as Rev 5.1 14:56:38 12/8/88"
#endif

	text
	even

 # C interface Synopsis
 # ====================
 #
 # int tas_mem(adrs)
 #	int adrs;
 #

	global	tas_mem

tas_mem:
	mov.l	4(%sp),	%a0		# Get address into %a0
#ifdef	TASFRIG
	mov.w	%sr, %d0		# No interrupts
	or.w	&0x0700, %sr		# Level 7
	clr.b	1(%a0)			# TAS frig !
#endif
	tas	(%a0)
	beq.b	Ltaszero
#ifdef	TASFRIG
	mov.w	%d0, %sr		# Back to where we were !! UGH
#endif
	mov.l	&-1,	%d0		# Failed, return -1
	rts

Ltaszero:
#ifdef	TASFRIG
	mov.w	%d0, %sr		# Back to where we were !! UGH
#endif
	clr.l	%d0			# Got it !
	rts

