#
#	Copyright (c) 1987 Motorola Inc
#	All Rights Reserved
# 	@(#)kern-port:ml/ml.mk	35.2
# 
#	Copyright (c) 1984 AT&T
#	  All Rights Reserved

#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
#	The copyright notice above does not evidence any
#	actual or intended publication of such source code.

LIBNAME = ../cf/lib.ml
INCRT = ..
#INCRT = /usr/include
CFLAGS = -I$(INCRT)
FRC =

MFILES = psl.m equates.m

SFILES = trap.s mmb.s paging.s start.s cswitch.s userio.s math.s misc.s end.s

FILES = $(LIBNAME)(locore.o)

all:	pickup $(LIBNAME) 

.PRECIOUS:	$(LIBNAME)

pickup:
	-@if [ "`ls *.o 2>/dev/null`" ] ; \
	then \
		echo "\tar ruv $(LIBNAME) *.o" ; \
		ar ruv $(LIBNAME) *.o ; \
		echo "\trm -f *.o" ; \
		rm -f *.o  ; \
	fi

$(LIBNAME):	$(FILES)
	ar ruv $(LIBNAME) *.o
	rm -f *.o

.s.a:
	$(CC) $(CFLAGS) -c $<

$(FILES):	$(MFILES) $(SFILES) $(FRC)
	cat $(MFILES) $(SFILES) > locore.s
	as -o locore.o locore.s
	rm -f locore.s

clean:
	-rm -f locore.s *.o

clobber:	clean
	-rm -f $(LIBNAME)

FRC:
