/*
 *
 * Copyright (c) 1987, Motorola Microcomputer Division.  All rights reserved.
 *
 * General debug stuff for the NSE
 */
#ident "@(#)dbg.h	35.1"

#ifndef DEBUG
# define DEBUG
#endif
#ifdef DEBUG
extern long nse_debug;
# define DB_PKTDMP	0x00000001	/* dump packets coming in	*/
# define DB_CALL	0x00000002	/* trace call/return		*/
# define DB_INPUT	0x00000004	/* trace input			*/
# define DB_OUTPUT	0x00000008	/* trace output			*/
# define DB_ROUTE	0x00000010	/* trace routine		*/
# define DB_GEN		0x00001000	/* general debug flag		*/
# define DB_ERR		0x00002000	/* print errors to console	*/
# define DB_RDP		0x00100000	/* RDP debug flag		*/
# define DB_RDP_ERR	0x00200000	/* RDP error debug flag		*/
# define DB_ETH		0x01000000	/* ethernet debugging flag	*/
# define DB_ARP		0x10000000	/* ARP debug flag		*/
# define DB_ARP_ERR	0x20000000	/* ARP error trace flag		*/
# define dbg(flag, expr)	if (nse_debug & (flag)) { expr; } else ;
#else
# define dbg(flag, expr)	{ ; }
#endif
