/*
 * Copyright (c) 1987, Motorola Microcomputer Division.  All rights reserved.
 *
 * prreq -	protocol request definitions
 *
 * Interlevel protocol request formats are defined here
 *
 * (More to be defined as needed)
 */
#ident "@(#)prreq.h	35.1"

struct prreq {
	long	type;		/* request type		*/
	caddr_t cookie;		/* magik cookie		*/
	caddr_t	arg;		/* single argument	*/
};

#define PR(x)		(((((('P' << 8) | 'R') << 8) | 'Q') << 8) | x)

#define PR_ALLOC	PR(1)	/* use a special STREAMS allocator	*/
#define PR_MAXFRAG	PR(2)	/* set max fragmentation		*/
#define PR_MTU		PR(3)	/* request/response MTU			*/
#define PR_ERROR	PR(4)	/* pass error indication up		*/
