/*
 * Copyright (c) 1987, Motorola Microcomputer Division.  All rights reserved.
 *
 * TCP statistics
 */
#ident "@(#)tcp_stats.h	35.1"

struct tcpstats {
	unsigned long	rtxabort;	/* con abort: retransmit error	*/
	unsigned long	usrabort;	/* con abort: user timeout	*/
	unsigned long	keepabort;	/* con abort: keep alive timer	*/
	unsigned long	rtxcnt;		/* retransmit count		*/
	unsigned long	shkcnt;		/* pkts shrunk			*/
	unsigned long	ackcnt;		/* # ACKs generated		*/
	unsigned long	outcnt;		/* pkts dropped:not in window	*/
	unsigned long	badsum;		/* pkts dropped:bad cksum	*/
	unsigned long	dupcnt;		/* duplicate pkt count		*/
	unsigned long	ordcnt;		/* out of order count		*/
	unsigned long	memcnt;		/* denied memory count		*/
	unsigned long   rpkt;		/* # pkts  received		*/
	unsigned long   xpkt;		/* # pkts  xmitted		*/
	unsigned long   rbyte;		/* # bytes received		*/
	unsigned long   xbyte;		/* # bytes xmitted		*/
};
