/* @(#)ma_globals.h	35.2        6/17/88	Copyright MOTOROLA, INC. */

/*IH*********************** INCLUDE HEADER ****************************
**
**  INCLUDE NAME:	ma_globals.h                    
**
**  DESCRIPTION:	This file contains external declarations for
**			all the MAC global variables.
**
**  NOTES:
**
***********************************************************************/

extern	UBYTE	ma_state;	 	 /* MAC Task State */

extern	USHORT	ma_board;	 	 /* MVME37x Board Number */

extern	UBYTE	*ma_reg_tbl;	 	 /* MAC Registration Table */

extern	ULONG	ma_tx_ctr;		 /* Number of Packets Transmitted */

extern	ULONG	ma_rx_ctr;		 /* Number of Packets Received */

extern	ULONG	ma_ir_ctr;		 /* Number of Interrupts Processed */

extern	USHORT	ma_ga_mask[4];	 	 /* Node's Group/Logical Address Mask */

extern	MA_ADDR ma_ts_addr;		 /* Node's Physical Address */

extern	MA_ADDR ma_gladr;		 /* Broadcast Address */

extern	struct	initblk	*ma_lnc_iblkptr; /* LANCE Initialization Block */

extern	struct	ringptr	ma_lnc_rxrgptr;  /* LANCE RX Descriptor Ring */

extern	struct	ringptr	ma_lnc_txrgptr;  /* LANCE TX Descriptor Ring */

extern	struct	txbufrng ma_txrgptr;	 /* MAC TX Buffer Ring */

extern	MA_STAT	ma_stat_tbl;	 	 /* MAC Statistics Table */
