static char ident[] = " @(#)sm_util.c	35.2        6/17/88	Copyright MOTOROLA, INC. ";

/*FH*********************** FUNCTION HEADER ****************************
**
**  FUNCTION NAME:      sm_swap()
**
**  DESCRIPTION:	Put passed type into passed EPB, swap EPB Ids
**			and post EPB.
**
**  SYSTEM GLOBALS:	none
**
**  MODULE GLOBALS:	none
**
**  NOTES:
**
***********************************************************************/

#include <sys/osi/common/types.h>
#include <sys/osi/common/selsizes.h>
#include <sys/osi/common/bdb.h>
#include <sys/osi/common/epb.h>
#include <sys/osi/common/sm_epb.h>
#include <sys/osi/common/macros.h>

extern	 USHORT	ma_board;

VOID
sm_swap(type, epb)

register USHORT	 type;
register SM_EPB	*epb;
{
	register ULONG	swap;

	swap        	= epb->hdr.src_id;
	epb->hdr.src_id = epb->hdr.dst_id;
	epb->hdr.dst_id = swap;
	epb->hdr.type   = type;

	epb->board = ma_board;

	o_post(epb);
}
