#	Copyright (c) 1984 AT&T
#	  All Rights Reserved

#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
#	The copyright notice above does not evidence any
#	actual or intended publication of such source code.

#ident	"@(#)sma.mk	35.1"

STRIP = strip
INCRT = ../..
LIBNAME = ../$(LIBDIR)/lib.lnc
DASHG = 
DASHO = -O
CFLAGS= -I$(INCRT) -DINKERNEL $(DASHG) $(DASHO) $(BRDEFS) -D$(CPU)
FRC =

FILES = \
		$(LIBNAME)(sm_main.o)	\
		$(LIBNAME)(sm_init.o)	\
		$(LIBNAME)(sm_nvram.o)	\
		$(LIBNAME)(sm_util.o)

all:	pickup $(LIBNAME) 

.PRECIOUS:	$(LIBNAME)

pickup:
	-@if [ "`ls *.o 2>/dev/null`" ] ; \
	then \
		echo "\t$(AR) ruv $(LIBNAME) *.o" ; \
		$(AR) ruv $(LIBNAME) *.o ; \
		echo "\trm -f *.o" ; \
		rm -f *.o  ; \
	fi

$(LIBNAME):	$(FILES)
	$(AR) ruv $(LIBNAME) *.o
	rm -f *.o

.c.a:
	$(CC) $(CFLAGS) -c -DSHIFT=20 $<

clean:
	-rm -f *.o

clobber:	clean
	-rm -f $(LIBNAME)

FRC:

#
# Header dependencies
#

$(LIBNAME)(sm_main.o):		sm_main.c	\
	$(INCRT)/sys/osi/common/types.h     	\
       	$(INCRT)/sys/osi/common/system.h	\
       	$(INCRT)/sys/osi/common/selsizes.h	\
       	$(INCRT)/sys/osi/common/bdb.h    	\
       	$(INCRT)/sys/osi/common/epb.h		\
       	$(INCRT)/sys/osi/common/sm_epb.h	\
       	$(INCRT)/sys/osi/common/macros.h	\
       	$(INCRT)/sys/osi/common/com_env.h	\
	$(INCRT)/sys/bppv2/bpp.h		\
	$(INCRT)/sys/bppv2/bm.h			\
	$(INCRT)/sys/bppv2/ccb.h		\
	$(INCRT)/sys/bppv2/mvme147/bpp_local.h	\
	$(INCRT)/sys/bppv2/mvme147/bp_ci.h	\
	$(FRC)

$(LIBNAME)(sm_init.o):		sm_init.c	\
	$(INCRT)/sys/osi/common/types.h		\
	$(INCRT)/sys/osi/board/mvme147.h	\
	$(INCRT)/sys/nvram.h			\
       	$(INCRT)/sys/osi/common/macros.h	\
	$(FRC)

$(LIBNAME)(sm_nvram.o):		sm_nvram.c	\
	$(INCRT)/sys/osi/common/types.h		\
       	$(INCRT)/sys/osi/common/system.h	\
       	$(INCRT)/sys/osi/common/selsizes.h	\
       	$(INCRT)/sys/osi/common/bdb.h    	\
       	$(INCRT)/sys/osi/common/epb.h		\
       	$(INCRT)/sys/osi/common/sm_epb.h	\
       	$(INCRT)/sys/osi/common/macros.h	\
	$(INCRT)/sys/osi/board/mvme374.h	\
	$(INCRT)/sys/osi/board/mvme147.h	\
	$(INCRT)/sys/osi/board/nvram.h		\
	$(INCRT)/sys/nvram.h			\
	$(FRC)

$(LIBNAME)(sm_util.o):		sm_util.c	\
	$(INCRT)/sys/osi/common/types.h		\
       	$(INCRT)/sys/osi/common/system.h	\
       	$(INCRT)/sys/osi/common/selsizes.h	\
       	$(INCRT)/sys/osi/common/bdb.h    	\
       	$(INCRT)/sys/osi/common/epb.h		\
       	$(INCRT)/sys/osi/common/sm_epb.h	\
       	$(INCRT)/sys/osi/common/macros.h	\
	$(FRC)

