#	Copyright (c) 1984 AT&T
#	  All Rights Reserved

#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
#	The copyright notice above does not evidence any
#	actual or intended publication of such source code.

#ident	"@(#)sys.mk	35.2"

STRIP = strip
INCRT = ../..
LIBNAME = ../$(LIBDIR)/lib.lnc
DASHG = 
DASHO = -O
CFLAGS= -I$(INCRT) -DINKERNEL $(DASHG) $(DASHO) $(BRDEFS) -D$(CPU)
ASFLAGS = -m
FRC =

FILES = \
		$(LIBNAME)(o_buffmgmt.o)	\
		$(LIBNAME)(o_bytecopy.o)	\
		$(LIBNAME)(o_util.o)

all:	pickup $(LIBNAME) 

.PRECIOUS:	$(LIBNAME)

pickup:
	-@if [ "`ls *.o 2>/dev/null`" ] ; \
	then \
		echo "\t$(AR) ruv $(LIBNAME) *.o" ; \
		$(AR) ruv $(LIBNAME) *.o ; \
		echo "\trm -f *.o" ; \
		rm -f *.o  ; \
	fi

$(LIBNAME):	$(FILES)
	$(AR) ruv $(LIBNAME) *.o
	rm -f *.o

.c.a:
	$(CC) $(CFLAGS) -c -DSHIFT=0 $<

.s.a:
	$(AS) $(ASFLAGS) $<

clean:
	-rm -f *.o

clobber:	clean
	-rm -f $(LIBNAME)

FRC:

#
# Header dependencies
#

$(LIBNAME)(o_bytecopy.o):	o_bytecopy.s	\
	$(FRC)

$(LIBNAME)(o_buffmgmt.o):	o_buffmgmt.c	\
	$(INCRT)/sys/c37x/ci_driver.h		\
	$(INCRT)/sys/c37x/ci_const.h		\
	$(INCRT)/sys/c37x/ci_struct.h		\
	$(INCRT)/sys/c37x/ci_global.h		\
	$(INCRT)/sys/bppv2/bpptypes.h		\
	$(INCRT)/sys/bppv2/bpp.h		\
	$(INCRT)/sys/bppv2/bm.h			\
	$(INCRT)/sys/bppv2/ccb.h		\
	$(INCRT)/sys/bppv2/mvme147/bpp_local.h	\
	$(INCRT)/sys/bppv2/mvme147/bp_ci.h	\
	$(INCRT)/sys/osi/board/mvme147.h	\
	$(INCRT)/sys/osi/common/bdb.h		\
	$(INCRT)/sys/osi/common/system.h	\
	$(INCRT)/sys/osi/common/macros.h	\
	$(FRC)

$(LIBNAME)(o_util.o):		o_util.c	\
	$(INCRT)/sys/osi/common/types.h		\
       	$(INCRT)/sys/osi/common/system.h	\
	$(INCRT)/sys/osi/common/selsizes.h	\
       	$(INCRT)/sys/osi/common/bdb.h    	\
       	$(INCRT)/sys/osi/common/epb.h		\
       	$(INCRT)/sys/osi/common/macros.h	\
	$(INCRT)/sys/bppv2/bpp.h		\
	$(FRC)
