#	Copyright (c) 1984 AT&T
#	  All Rights Reserved

#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
#	The copyright notice above does not evidence any
#	actual or intended publication of such source code.

#ident	"@(#)kern-port:stub/stub.mk	35.7"

LIBNAME = ../cf/lib.stub
INCRT = ..
#INCRT = /usr/include
CFLAGS = -I$(INCRT)
FRC =

MFILES = ../ml/psl.m ../ml/equates.m

CFILES = du.c socket.c ma.c

SFILES = stub050.s

FILES = $(LIBNAME)(socket.o)\
	$(LIBNAME)(du.o)\
	$(LIBNAME)(ma.o)\
	$(LIBNAME)(stub.o)

all:	pickup $(LIBNAME) 

.PRECIOUS:	$(LIBNAME)

pickup:
	-@if [ "`ls *.o 2>/dev/null`" ] ; \
	then \
		echo "\tar ruv $(LIBNAME) *.o" ; \
		ar ruv $(LIBNAME) *.o ; \
		echo "\trm -f *.o stub.s" ; \
		rm -f *.o stub.s  ; \
	fi

$(LIBNAME):	$(FILES)
	ar ruv $(LIBNAME) *.o
	rm -f *.o

.s.a:
	$(CC) $(CFLAGS) -c $<

.c.a:
	$(CC) $(CFLAGS) -c $<

$(LIBNAME)(stub.o):	$(MFILES) $(SFILES) $(FRC)
	cat $(MFILES) $(SFILES) >stub.s
	as -o stub.o stub.s
	rm -f stub.s

clean:
	-rm -f stub.s *.o

clobber:	clean
	-rm -f $(LIBNAME)

FRC:
