/*@(#)trace.h	35.1*/
/*IH*********************** INCLUDE HEADER ****************************
**
**  INCLUDE NAME:	trace.h
**
**  DESCRIPTION:	This file trace function definitions.
**
**  NOTES:
**
**  UPDATE LOG:
**  Date	Name		V/R	Comments
**  --------	-----------   	---	-----------------------------
**  05/21/86	Jim Holbrook	1.0	Original coding.
**
**********************************************************************/

#ifdef CETRACE

/* bpp_trace_flag definitions */
#define	BP_TRC_CON	0x002		/* send trace data to system console */
#define	BP_TRC_LOG	0x800		/* send trace data to logger */
#define	BP_TRC_ON	0x001		/* debug trace is on */

typedef struct trace_t
{
	BP_MPB_T	*mpb;			/* MPB header */
    ULONG		trace_ptr;		/* index to current entry */
    USHORT		length_mask;	/* mask for wrap -- buffer is assumed
				   					to be some modulo 2 length, i.e.,
				   					0x3ff for 1024-byte buffer. */
    ULONG		trace_buf[1];		/* trace buffer */
} TRACE_T;

#endif

