/*@(#)ci_global.h	35.2*/
/*IH*********************** INCLUDE HEADER ****************************
**
**  INCLUDE NAME:	ci_global.h                    
**
**  DESCRIPTION:	This file contains external declarations for
**			all global variables.
**
**  NOTES:		Note that c37x_add is created as c37x_addr,
**  			c37x_ive is created as c37x_ivec, and c37x_ile
**			is created as c37x_ilev by the config(1M) utility.
**			Since the kernel is compiled with -T, these variables
**			are truncated in the compilation of "conf.c" to be
**			c37x_add, c37x_ive, and c37x_ile respectively.
**			They were hand truncated here to work with 
**			Motorola's version of System V/68, which doesn't
**			support FLEXNAMES.
**
**  UPDATE LOG:
**  Date	Name		V/R	Comments
**  --------	-----------	---	-----------------------------
**  04/20/87    R. Robinson     1.1     Original coding. 
**
***********************************************************************/


extern CPU_ENT	ci_cpu[NUM_CPU_ENTRIES]; /* CPU table */

extern CPU_TAB	ci_cputab[NUM_CPU_ENTRIES]; /* CPU description table */

extern BYTE	ci_dev[];		/* Device name */

extern BOOLEAN	ci_debug;		/* Debug flag */

extern EPB	ci_reg_epb;		/* Registration EPB */

extern DEFAULT	c37x_cnt;		/* Defined in "conf.c" */

extern DEFAULT	c37x_addr[];		/* Defined in "conf.c" */
extern DEFAULT	c37x_ivec[];		/* Defined in "conf.c" */
extern DEFAULT	c37x_ilev[];		/* Defined in "conf.c" */

#define c37x_add c37x_addr
#define c37x_ive c37x_ivec
#define c37x_ile c37x_ilev
