

/*****************************************************************************

	Rev = 1.1		Date of 'get'   = 09:15:43 1/6/89
				Date of 'delta' = 09:15:00 1/6/89

	File = f250bits.h

*****************************************************************************/


/**********************************************************************
 *								      *
 *		Copyright (c) Ferranti plc 1988			      *
 *								      *
 *	This is unpublished proprietory source code of Ferranti plc.  *
 *		The copyright of which vests in Ferranti plc.	      *
 **********************************************************************/


/**********************************************************************
 *								      *
 *	This file contains definitions for setting and reseting bits  *
 *	in a portable fashion   				      *
 *    							              *	
 **********************************************************************/



#define BIT_ZERO	1
#define BIT_ONE		2
#define BIT_TWO		4
#define BIT_THREE	8
#define BIT_FOUR	16
#define BIT_FIVE	32
#define BIT_SIX		64
#define BIT_SEVEN	128
#define BIT_EIGHT	256
#define BIT_NINE	512
#define BIT_TEN		1024
#define BIT_ELEVEN	2048
#define BIT_TWELEVE	4096
#define BIT_THIRTEEN	8192
#define BIT_FOURTEEN	16384
#define BIT_FIFTEEN	32768


	/* set bit off */
		/* bit being one of the macros above */
#define set_bit(value, bit) ((value) |= (bit))

	/* Turn bit off */
#define reset_bit(value, bit) ((value) &= (~(bit))) 

