

/*****************************************************************************

	Rev = 1.1		Date of 'get'   = 09:15:43 1/6/89
				Date of 'delta' = 09:15:02 1/6/89

	File = f250dev.h

*****************************************************************************/


/**********************************************************************
 *								      *
 *		Copyright (c) Ferranti plc 1988			      *
 *								      *
 *	This is unpublished proprietory source code of Ferranti plc.  *
 *		The copyright of which vests in Ferranti plc.	      *
 **********************************************************************/


/**********************************************************************
 *								      *
 * 	This file contains the device types used on the FVME250       *
 *	controller. 						      *
 *								      *
 **********************************************************************/



#define WINC80M		0	/* 80 Mbyte Winchester */
#define WINC160M	1	/* 160 Mbyte Winchester */
#define WINC320M	2	/* 320 Mbyte Winchester */
#define WINC550M	3	/* 550 Mbyte Winchester */
#define WINC720M	4	/* 720 Mbyte Winchester */
#define RESERVED	5	/* Reserved */
#define RESERVED1	6	/* Reserved */
#define RESERVED2	7	/* Reserved */
#define RESERVED3	8	/* Reserved */
#define IBMFLOP		9	/* IBM AT compatible floppy */
#define STRM60M		10	/* 60 Mbyte streamer */
#define STRM150M	11	/* 150 Mbyte streamer */
#define SRESERVED	12	/* Reserved */
#define SRESERVED1	13	/* Reserved */
#define SRESERVED2	14	/* Reserved */
#define SRESERVED3	15	/* Reserved */
#define MAGTAPE		16	/* 1/2 in. Mag. Tape */ 
#define OPTDISC		17	/* Optical disk drive */

/*  Type of device    */
#define  WINCH         0x0
#define  STREAMER      0x1
#define  DISKETTE      0x2
#define  MAGNETAPE     0x4
#define  OPTICAL       0x8

