/*	@(#)gentty.h	35.2	*/
/* dual console related ioctl calls */
#define CONCURRENT	('C'<<8)
#define CONC		(CONCURRENT)
#define CONC_ON		(CONCURRENT|1)  /* turn on dual console mode */
#define CONC_OFF	(CONCURRENT|2)  /* turn off dual console mode */
#define CONC_BOOT	(CONCURRENT|3)	/* system booted in dual console mode,
					   maintain the port settings */
#define CONC_DEBUG	(CONCURRENT|4)
#define CONC_PUTC	(CONCURRENT|5)  /* putc command */
#define CONC_IPUTC	(CONCURRENT|6)  /* inputc command */

#define ON 1
#define OFF 0

/* dual console receive status */
#define DC_BREAK  0x01		/* break */
#define DC_FRERR  0x02		/* frame error */
#define DC_PARERR 0x04		/* parity error */
#define DC_ROVRN  0x08		/* receiver overrun */
#define DC_DCDON  0x10		/* data carrier detect on */
#define DC_DCDOFF 0x20		/* data carrier detect off */
