/*	@(#)m360io.h	35.1 	*/
/*		Copyright (c) 1985 AT&T		*/
/*		All Rights Reserved		*/
/*
 *	Copyright (c) 1985,1987	Motorola Inc.  
 *		All Rights Reserved.
 */

/*
 *	This files creates "m360_sizes" for use
 *		by the MVME360 disk controller driver.
 */

/* #if VME131 || VME120 || VME136 */

#include "sys/io/smd.h"
#include "sys/io/sa800.h"
#include "sys/io/sa400.h"

/*
 *	M360 disk types slicing
 *	See m360space.h for the
 *	definition of disk types.
 */

#ifndef M360CTLS
#ifdef	VME360_1
#define	M360CTLS 2
#else
#define	M360CTLS 1
#endif
#endif

#define	M360LUN	4	/* maximum logical units */
 
#ifndef M360DK0
#define M360DK0 FU337b /* 337 Mbyte Fujitsu */
#endif
#ifndef M360DK1
#define M360DK1 NULLSMD /* 2nd volume in single volume configurations */
#endif
#ifndef M360DK2 
#define M360DK2 FU337b /* 337 Mbyte Fujitsu */
#endif
#ifndef M360DK3
#define M360DK3 NULLSMD /* 2nd volume in single volume configurations */
#endif

#ifndef M360DK4
#define M360DK4 FU337b			/* 337 Mbyte Fujitsu */
#endif
#ifndef M360DK5
#define M360DK5 NULLSMD /* 2nd volume in single volume configurations */
#endif
#ifndef M360DK6 
#define M360DK6 FU337b /* 337 Mbyte Fujitsu */
#endif
#ifndef M360DK7
#define M360DK7 NULLSMD /* 2nd volume in single volume configurations */
#endif

struct	size m360_sizes[M360CTLS*M360LUN][8] = {
	M360DK0 
	M360DK1 
	M360DK2 
	M360DK3 
#if M360CTLS>1
	M360DK4 
	M360DK5 
	M360DK6 
	M360DK7 
#endif
};

/* #endif */
#undef	M360LUN
