#ident "@(#)nvram.h	35.2"

/* 
 *  General defines for nvram software support.
 *
 *	Copyright (c) 1987 Motorola Inc
 *	All Rights Reserved
 *	@(#)nvram.h	35.2
 */


/*
 *  Actions for the nvram routine.
 */
#define CK_BNDS		0
#define	READ		1
#define	WRITE		2

/*
 *  Returns from the nvram routine.  Non-negative values represent the
 *  byte count of the completed operation.
 */
#define OK		 0
#define ERR		-1
#define BNDS_ERR	-2
#define CMD_ERR		-3
#define NO_NVRAM 	-4

/*
 *  Number of "slices" the NVRAM is partitioned into.
 */
#define MAXNSLICE	8

/*
 *  "Names" for the slices of the NVRAM
 */
#define	USER	0
#define	NET	1
#define	OS	3
#define	BUG	5
#define ALL	7

/*
 *  Debugging switches
 */
#define	NVR_DBG	3
#undef 	NVR_DBG

#ifndef ENTRY
#define ENTRY(p) { ; }
#define EXIT(p) { ; }
#define STATIC static
#endif

#ifdef NVR_DBG
#include "dbg_environ.h"
#endif
