/*@(#)mvme147.h	35.1*/
/*IH*********************** INCLUDE HEADER ****************************
**
**  INCLUDE NAME:	mvme147.h
**
**  DESCRIPTION:	MVME147-specific definitions for 802.3 MAC
**					and non-volatile RAM access.
**
**  NOTES:		
**			
**  UPDATE LOG:
**  Date		Name		V/R	Comments
**  --------	-----------	---	-----------------------------
**	0124/88		jeh			1.0	Initial coding.
**********************************************************************/

#define MVME147_TS_ADDR_SIZE	6
#define MVME147_TS_ADDR_INDEX	0
#define MVME147_GA_MASK_SIZE	8
#define MVME147_GA_MASK_INDEX	6

/* this structure is used to map data appearing in BBRAM on the MVME147.
	A global variable points to to the base of this structure in BBRAM.
*/
struct station_data_t
{
	UBYTE	station_addr[MVME147_TS_ADDR_SIZE];
	UBYTE	group_mask[MVME147_GA_MASK_SIZE];
	USHORT	station_reset_count;
};
