/*@(#)nvram.h	35.1*/

/*IH*********************** INCLUDE HEADER ****************************
**
**  INCLUDE NAME:	nvram.h
**
**  DESCRIPTION:	This file contains all NVRAM specific defines.
**
**  UPDATE LOG:
**  Date	Name		V/R	Comments
**  --------	-----------	---	-----------------------------
**  07/20/87	R. Robinson  	1.1	Original coding.
**
**********************************************************************/

/*
**  NVRAM structure definition
*/

typedef struct nvram_elem
{
	char	junk   : 4;
	char	nibble : 4;
	char	fill;
}NVRAM;

#define	NVRAM_ADDR	0xffe40000
#define	CNTRL_REG_ADDR	0xffe50000
#define	NVRAM_SIZE	256

#define	NVRAM_STORE	0x20

/*
**  Factory Test Defines
*/

#define	FACTORY_TEST_INDEX	246	/* 1 byte reserved for factory testing*/
#define	FACTORY_TEST		1	/* 1 byte reserved for factory testing*/

/*
**  Field Indicator Value
*/

#define  UNSPEC			-1
