/*
 *	Copyright (c) 1984 AT&T
 *	Copyright (c) 1987 Motorola Inc
 *	All Rights Reserved
 *	@(#)ram.h	35.2
 */

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#ident	"@(#)ram.h	35.2"

/* ram configuration structure */

struct ram {
	unsigned 	ram_lo;	/* low ram range (clicks) */
	unsigned 	ram_hi;	/* high ram range ( + 1 ) (clicks) */
	unsigned 	ram_sz;	/* ram size (clicks) */
	unsigned	ram_flg;
};

/* ram_flg values */

#define	RAM_INIT	0x0001	/* ram must be written to be reset */
#define	RAM_HUNT	0x0002	/* ram boards may be located within range */
#define	RAM_PRIV	0x0004	/* ram is private (not general purpose) */
#define	RAM_CI		0x0008	/* cache inhibited in this range */
#define	RAM_FOUND	0x8000	/* ram initializer found memory in this range */

struct mem {
	unsigned long m_size;	/* number of units available */
	unsigned long m_addr;	/* address of first available unit */
	int m_flag;
};

/* initial probe structure */

struct probe {
	char	*probe_addr;	/* address to be probed */
	short	probe_byte;	/* byte to write into probe_addr */
};

/* (probe_addr is read only if probe_byte < 0) */
