/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#ident	"@(#)kern-port:sys/reg.h	35.2"

/*
 * Location of the users' stored registers relative to R0.
 * Usage is u.u_ar0[XX].
 */
#ifdef	m88k

#define NREGS	37

#define	R0	0
#define	R1	1
#define	R2	2
#define	R3	3
#define	R4	4
#define	R5	5
#define	R6	6
#define	R7	7
#define	R8	8
#define	R9	9
#define	R10	10
#define	R11	11
#define	R12	12
#define	R13	13
#define	R14	14
#define	R15	15
#define	R16	16
#define	R17	17
#define	R18	18
#define	R19	19
#define	R20	20
#define	R21	21
#define	R22	22
#define	R23	23
#define	R24	24
#define	R25	25
#define	R26	26
#define	R27	27
#define	R28	28
#define	R29	29
#define	R30	30
#define	R31	31
#define	SP	31
#define	SR	32
#define	PS	32
#define	PC	33
#define	SCIP	33
#define	SNIP	34
#define	SFIP	35
#define	VALIDIP	2
#define	EXCEPT_IP	1
#define	SSB	36

#define	NUMTRAN	3
#define	TRAN1	37
#define	ADDR1	38
#define	DATA1	39
#define	TRAN2	40
#define	ADDR2	41
#define	DATA2	42
#define	TRAN3	43
#define	ADDR3	44
#define	DATA3	45

#else
#define	D0	0
#define	D1	1
#define	D2	2
#define	D3	3
#define	D4	4
#define	D5	5
#define	D6	6
#define	D7	7

#define	A0	8
#define	A1	9
#define	A2	10
#define	A3	11
#define	A4	12
#define	A5	13
#define	A6	14
#define A7	(-1)

#define SP	A7
#define	FP	A6
#define	PS	15
#define	SR	15
#define	PC	16

#define NREGS	18

#define	R0	0
#define	R1	1
#define	R2	2
#define	R3	3
#define	R4	4
#define	R5	5
#define	R6	6
#define	R7	7
#define	R8	8
#define	R9	9
#define	R10	10
#define	R11	11
#define	R12	12
#define	R13	13
#define	R14	14
#define	R15	A7

/*
 *	Special registers for bus errors and address errors
 */

#define	SSW	19
#define	DCFA	21
#define	SBA	26
#endif
