/*		Copyright (c) 1987 Motorola	*/
/*		All Rights Reserved		*/
/* 		@(#)m321space.h	35.1			*/
/*
 *	This file contains external definitions for
 *	the MVME321 Disk Controller driver.
 */

#ifdef	VME321_1
#define	M321CTLS	2
#else
#define	M321CTLS	1
#endif

#define	M321DEV		8		/* maximum devices on an MVME321 */
#define	M321HARD	4		/* maximum winchesters on an MVME321 */
#define	M321FLOP	4		/* maximum floppys on an MVME321 */

#include "sys/mvme321.h"

struct	b_packet	m321pkt[M321CTLS*M321PKTS];
struct	b_envelope	m321env[M321CTLS*M321PKTS];
struct	b_channel	m321chan[M321CTLS];

struct	m321wdesc	m321wd[M321CTLS*M321HARD];
struct	m321fdesc	m321fd[M321CTLS*M321FLOP];

int	m321ctlflg[M321CTLS];

ushort	m321lim[M321HARD + 1] = {
	M321LIM0, M321LIM1, M321LIM2, M321LIM3, M321LIM4
};

#define m321sa(x)	tabinit(0,&m321stat[x].ios)

struct	iotime		m321stat[M321CTLS*M321DEV];
struct	iobuf		m321utab[M321CTLS*M321DEV] = {
	m321sa(0), m321sa(1), m321sa(2), m321sa(3),
	m321sa(4), m321sa(5), m321sa(6), m321sa(7),
#if M321CTLS > 1
	m321sa(8), m321sa(9), m321sa(10), m321sa(11),
	m321sa(12), m321sa(13), m321sa(14), m321sa(15),
#endif
};

#undef	m321sa

#ifndef VME320_0
#include "sys/open.h"
#endif
int	m321otbl[M321CTLS * M321DEV * OTYPCNT];

struct m321cache	m321cache[M321CTLS] = {
	0, 0, 0, 0,			/* cache number for drive */
	8, 0, 0, 0,			/* number of entries per cache */
	8192, 0, 0, 0,			/* cache buffer size */
#if M321CTLS > 1
	0, 0, 0, 0,			/* cache number for drive */
	8, 0, 0, 0,			/* number of entries per cache */
	8192, 0, 0, 0,			/* cache buffer size */
#endif
};

ushort	m321maxbuf[M321CTLS] = {
	8 * 1024,
#if M321CTLS > 1
	8 * 1024,
#endif
};
