/*	@(#)m323space.h	35.1 	*/
/*
 *	Copyright (c) 1987 Motorola Inc.  
 *		All Rights Reserved.
 */
/*
 *	This file defines external definitions for
 *	the MVME323 Storage Module Disk Controller.
 */

#ifdef	VME323_1
#define	M323CTLS 2
#else
#define	M323CTLS 1
#endif

#include "sys/mvme323.h"	/* m323config */

#define	M323DEV	MAXDEV	/* maximum drives */

struct	m323ctlr	m323ctlr[M323CTLS];
struct	m323uib		m323uib[M323CTLS*M323DEV];
struct	m323config	m323config[M323CTLS*M323DEV];
struct	m323eregs	m323eregs[M323CTLS];
struct  m323list	m323sglist[M323CTLS*M323DEV*M323MXCOAL];

/* 0 in the following define should be M323 major number */
#define	m323sa(x)	tabinit(7,&m323stat[x].ios)

struct	iotime		m323stat[M323CTLS*M323DEV];
struct	iobuf		m323utab[M323CTLS*M323DEV] = {
	m323sa(0), m323sa(1), m323sa(2), m323sa(3),
#if M323CTLS>1
	m323sa(4), m323sa(5), m323sa(6), m323sa(7)
#endif
};

#undef	m323sa
int	m323otbl[M323CTLS * M323DEV * OTYPCNT];

/*
 *	M323 Disk type support
 */

#define	M323NULL	0	/* No type */
#define	M323H182	1	/* CDC WREN III ESDI.  */

#define	M323TYPES	2

/*
 *	default configuration table ... indexed by type
 */

struct m323config m323dfcf[M323TYPES] = {
	{  M323NLCF },						/* M323NULL */
	{  0, 9, 36, 22, 512, 10, 10, 1, 3, 968, M323CEN},	/* M323H182 */
};

/*
 *	m323types
 */

#ifndef	M323H0
#define	M323H0	M323H182
#endif

#ifndef	M323H1
#define	M323H1	M323H182
#endif

#ifndef	M323H2
#define	M323H2	M323H182
#endif

#ifndef	M323H3
#define	M323H3	M323H182
#endif

#ifndef	M323H4
#define	M323H4	M323H182
#endif

#ifndef	M323H5
#define	M323H5	M323H182
#endif

#ifndef	M323H6
#define	M323H6	M323H182
#endif

#ifndef	M323H7
#define	M323H7	M323H182
#endif


unsigned char m323types[M323CTLS*M323DEV] = {
	M323H0, M323H1, M323H2, M323H3,
#if M323CTLS>1
	M323H4, M323H5, M323H6, M323H7
#endif
};


#undef	M323DEV
