#ident "@(#)todc.h	35.2"

/* 
 *  General defines for time of day clock software support.
 *  Copyright, 1988, Motorola, Inc.
 */

/*
 *  Actions for the todc routine.
 */
#define INIT		0
#define	GETTIME		1
#define	SETTIME		2

/*
 *  Returns from the todc routine.
 */
#define OK		0
#define NO_TODC 	1
#define BAD_TODC 	2

/*
 *  Bit patterns and macros for testing the time of day clock existence
 *  and validity.
 */
#define TODC_IS		0x01
#define TODC_VALID	0x02
#define  IS_TODC(p)	(((p) & TODC_IS) == TODC_IS)
#define  VALID_TODC(p)	(((p) & TODC_VALID) == TODC_VALID)

/*
 *  Debugging switches
 */
#define	TDC_DBG	3
#undef 	TDC_DBG

#ifndef ENTRY
#define ENTRY(p) { ; }
#define EXIT(p) { ; }
#define STATIC static
#endif

#ifdef TDC_DBG
#include  "dbg_environ.h"
#endif
