/*
 *	Copyright (c) 1987 Motorola Inc
 *	All Rights Reserved
 *		@(#)vmechip.h	35.1
 */
/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#ident	"@(#)vmechip.h	35.1"

/*
 *	Defines for the VMEchip interface.
 */

/* Local Control and Status Registers */

struct vme_lcsr {
	char	l_00;
	char	l_sccr;
	char	l_02;
	char	l_rcr;
	char	l_04;
	char	l_mcr;
	char	l_08;
	char	l_scr;
	char	l_0a;
	char	l_tcr;
	char	l_0c;
	char	l_samr;
	char	l_0e;
	char	l_mamr;
	char	l_10;
	char	l_ihmr;
	char	l_12;
	char	l_uimr;
	char	l_14;
	char	l_uivr;
	char	l_16;
	char	l_irr;
	char	l_18;
	char	l_sir;
	char	l_1a;
	char	l_besr;
	char	l_1c;
	char	l_gbar;
	char	l_1e;
};

/*  System Controller Configuration Register */
#define VME_SCON	1
#define VME_SRESET	2
#define VME_BRDFAIL	4
#define VME_ROBIN	8

/*  Bus Error Status Register */
#define VME_LBTO	1
#define VME_ACTO	2
#define VME_VBERR	4
#define VME_RMCL	8
